<?php
    // +------------------------------------------------------------+
    // | Main Labe include and php configuration file		    |
    // |							    |
    // | Author:	Mathieu Leduc-Hamel			    |
    // | Thanks to:	Christophe Condomines			    |
    // | File:		Include.php				    |
    // | Date:		2003/01/07				    |
    // | Licence:	GPL					    |
    // | Description:	PHP file setting some variable and including|
    // |		some required files for LABE		    |
    // +------------------------------------------------------------+

    // +------------------------------------------------------------+
    // | Searching for the right path				    |
    // +------------------------------------------------------------+
    $path = ereg_replace("index.php","",
    ereg_replace("inc/Contact.php","",
    ereg_replace("inc/Mkimage.php","",$HTTP_SERVER_VARS["SCRIPT_FILENAME"])));

    // +------------------------------------------------------------+
    // | Include all needed class				    |
    // +------------------------------------------------------------+
    require($path."class/labe/labe_main.class.php");
    require($path."class/smarty/Smarty.class.php");

    // +------------------------------------------------------------+
    // | Defining some values					    |
    // +------------------------------------------------------------+
    define("F_CONNECT_PATH","/etc/labe/connect.conf");

    $LABE_Lang = $HTTP_COOKIE_VARS["LABE_Lang"];
    $LABE_Pass = $HTTP_COOKIE_VARS["LABE_Pass"];
    $LABE_Name = $HTTP_COOKIE_VARS["LABE_Host"];
	$LABE_Name='main';
    $filter = "(& (objectclass=officePerson))";

    define("MAX_ITEMS_BY_SCREEN","10");
    
    // +------------------------------------------------------------+
    // | Creating objects					    |
    // +------------------------------------------------------------+
    $labe = new labe_main(F_CONNECT_PATH);
    $smarty = new Smarty();
    
    // +------------------------------------------------------------+
    // | Configure some smarty's options			    |
    // +------------------------------------------------------------+
    $smarty->compile_check = "true";
    $labe->getInfo($LABE_Name);
    $labe->setPass($LABE_Pass); 
    $labe->encoding = 1;
?>
