<?php

    @header("Cache-Control: no-store, no-cache, must-revalidate");
    @header("Cache-Control: post-check=0, pre-check=0",false);
    @header("Pragma: no-cache");

    if(empty($HTTP_GET_VARS["sort"]))
    {
		$entries = $labe->SortEntries($connexion,$labe->SearchALL($connexion,$filter),"sn");
    }
	
    // +------------------------------------------------------------+
    // | Creating the entry array									|
    // +------------------------------------------------------------+
    if($entries["count"] != 0)
    {
		// Keeping the level from the HTTP_POST_VAR array
		if($HTTP_GET_VARS["list_level"])
			$level = $HTTP_GET_VARS["list_level"];
		else
			$level = 0;
	
		for($swap_color = 1, $i = $level, $count = -1;
			($i <= MAX_ITEMS_BY_SCREEN + $level)&&($i <= $entries["count"]);
			$i++)
		{
			$count++;
			if($swap_color == 1)
			{
				$entry_color[$count] = "liste1";
				$swap_color = 2;
			} 
			else 
			{
				$entry_color[$count] = "liste2";
				$swap_color = 1;
			}

			$dn[$count] = ereg_replace(" ","_", $entries[$i]["dn"]);
			$name[$count] = $entries[$i]["sn"][0]." ".$entries[$i]["givenname"][0];
			$company[$count] = $entries[$i]["o"][0];
			$email[$count] = $entries[$i]["mail"][0];
			$wphone[$count] = $entries[$i]["telephonenumber"][0];
			$dnLink[$count] = urlencode($dn[$count]);
		}
    }


    // +------------------------------------------------------------+
    // | Assigning variables for the smarty template engine			|
    // +------------------------------------------------------------+
    $smarty->assign("FILTER",$filter);
    $smarty->assign("COUNT",$count);
    $smarty->assign("ITEMS_COUNT",$entries["count"]);
    $smarty->assign("ENTRY_COLOR",$entry_color);
    $smarty->assign("DN",$dn);
    $smarty->assign("NAME",$name);
    $smarty->assign("COMPANY",$company);
    $smarty->assign("EMAIL",$email);
    $smarty->assign("WPHONE",$wphone);
    $smarty->assign("DNLINK",$dnLink);
	$smarty->assign("LIST_LEVEL",($level + MAX_ITEMS_BY_SCREEN));
    $smarty->assign("NEXT_ITEMS",(MAX_ITEMS_BY_SCREEN + $level));
	$smarty->assign("END_ITEMS",(MAX_ITEM_BY_SCREEN + $entries["count"]));

	// We make sure the minimum of items will equal to 0
	if($level > 10)
		$smarty->assign("PREV_ITEMS",($level - MAX_ITEMS_BY_SCREEN));
	else
		$smarty->assign("PREV_ITEMS",0);

	

    // +------------------------------------------------------------+
    // | Displaying the HTML file									|
    // +------------------------------------------------------------+
    $smarty->display("list.tpl");
?>
