<?php
    // +------------------------------------------------------------+
    // | Display image script					    |
    // |							    |
    // | Author:	Mathieu Leduc-Hamel			    |
    // | File:		Mkimage.php				    |
    // | Date:		2002/09/09				    |
    // | Licence:	GPL					    |
    // | Description:	It find the picture of a contact, by his dn,|
    // |		if here, the picture his printed.	    |	
    // +------------------------------------------------------------+
    header("Content-Type: image/jpeg");
    
    // +------------------------------------------------------------+
    // | Including the script of include and variable definition    |
    // +------------------------------------------------------------+
    include("Include.php");
    
    // +------------------------------------------------------------+
    // | Connexion with the LDAP server				    |
    // +------------------------------------------------------------+
    $connexion = $labe->Connect_LDAP($labe->host,$labe->port);

    // +------------------------------------------------------------+
    // | If a connexion, we'll search for an image and displayit    |
    // +------------------------------------------------------------+
    if($connexion) { 
	$dn = ereg_replace("_"," ",$HTTP_GET_VARS["dn"]);

	$entry = ldap_search($connexion, $dn, $filter, array("jpegPhoto"));

	if($entry) {
	    $x1 = ldap_first_entry($connexion, $entry);
	    $entry = ldap_get_values_len($connexion, $x1, "jpegPhoto");
	    echo base64_decode($entry[0]); 
	}
	
    // +------------------------------------------------------------+
    // | Closing the LDAP connexion				    |
    // +------------------------------------------------------------+
	$labe->Close_LDAP($connexion);
    }
?>
