<?php
    
    @header("Cache-Control: no-store, no-cache, must-revalidate");
    @header("Cache-Control: post-check=0, pre-check=0",false);
    @header("Pragma: no-cache");

    // +------------------------------------------------------------+
    // | Searching for the information on that DN		    |
    // +------------------------------------------------------------+		
    $attr = $labe->SearchALL($connexion,$filter);

    if(!$dn)	
	$dn = $HTTP_GET_VARS["dn"];

    if(!isset($attrib) && !empty($dn)) {
	$attrib = $labe->SearchContact($connexion,$filter,$dn);
    }

    // +------------------------------------------------------------+
    // | In case the dn is valid, we assigning template variables   |
    // +------------------------------------------------------------+
	
    $smarty->assign("DN",($dn));
    $smarty->assign("count",1);
    $smarty->assign("SN",$attrib[0]["sn"]);
    $smarty->assign("GIVENNAME",$attrib[0]["givenname"]);
    $smarty->assign("INITIALS",$attrib[0]["initials"]);
    $smarty->assign("MAIL",$attrib[0]["mail"]);
    $smarty->assign("HOME_POSTAL_ADDRESS",$attrib[0]["homepostaladdress"]);
    $smarty->assign("HOMEPHONE",$attrib[0]["homephone"]);
    $smarty->assign("OTHER_FACSIMILE_TELEPHONENUMBER",$attrib[0]["otherfacsimiletelephonenumber"]);
    $smarty->assign("MOBILE",$attrib[0]["mobile"]);
    $smarty->assign("O",$attrib[0]["o"]);
    $smarty->assign("POSTAL_ADDRESS",$attrib[0]["postaladdress"]);
    $smarty->assign("L",$attrib[0]["l"]);
    $smarty->assign("ST",$attrib[0]["st"]);
    $smarty->assign("POSTAL_CODE",$attrib[0]["postalcode"]);
    $smarty->assign("C",$attrib[0]["c"]);
    $smarty->assign("URL",$attrib[0]["url"]);
    $smarty->assign("TITLE",$attrib[0]["title"]);
    $smarty->assign("OU",$attrib[0]["ou"]);
    $smarty->assign("PHYSICAL_DELIVERY_OFFICE_NAME",$attrib[0]["physicaldeliveryofficename"]);
    $smarty->assign("TELEPHONE_NUMBER",$attrib[0]["telephonenumber"]);
    $smarty->assign("FACSIMILE_TELEPHONENUMBER",$attrib[0]["facsimiletelephonenumber"]);
    $smarty->assign("PAGER",$attrib[0]["pager"]);
    $smarty->assign("IPPHONE",$attrib[0]["ipphone"]);
    $smarty->assign("CONFERENCE_INFORMATION",$attrib[0]["conferenceinformation"]);
    $smarty->assign("COMMENT",$attrib[0]["comment"]);

    // Assign the right image
    if($attrib[0]["jpegphoto"][0]) {
	$smarty->assign("IMAGE","inc/Mkimage.php?dn=$dn");
    }
    else {
	$smarty->assign("IMAGE","templates/img/no_image.jpg");
    }

    // Assign the dn array for the reports combobox
    for($i = 0; $i < count($attr); $i++) {
	if($attr[$i] && (ereg_replace("_"," ",$attr[$i]["dn"]) != ereg_replace("_"," ",$dn)) ) {
	    $report_choices[] = ereg_replace("_"," ",$attr[$i]["dn"]);
	    $report_names[] = $attr[$i]["sn"][0]." ".$attr[$i]["givenname"][0];
	    if(!strcmp($attrib[0]["reports"][0],$attr[$i]["dn"])) {
		$name = $attr[$i]["sn"][0]." ".$attr[$i]["givenname"][0];
	    }
	}
    }	
    $smarty->assign("REPORTS",array($attrib[0]["reports"][0],$name));
    $smarty->assign("REPORT_NAME",$report_names);
    $smarty->assign("REPORT_LOOP",count($report_choices));
    $smarty->assign("REPORT_CHOICES",$report_choices);

    if(isset($dn)) {

	// +------------------------------------------------------------+
	// | Displaying the HTML file of detail                         |
	// +------------------------------------------------------------+
	$smarty->display("form/detail.tpl");
    }
    else {


	// +------------------------------------------------------------+
	// | Displaying the HTML file of new                            |
	// +------------------------------------------------------------+
	$smarty->display("form/new.tpl");
    }
?>
