<?php


	@header("Cache-Control: no-store, no-cache, must-revalidate");
	@header("Cache-Control: post-check=0, pre-check=0",false);
	@header("Pragma: no-cache");

	// +------------------------------------------------------------+
	// | Parsing the LDIF file					|
	// +------------------------------------------------------------+
	if(is_uploaded_file($HTTP_POST_FILES['import_file']['tmp_name']) &&
	    strcmp($HTTP_POST_VARS["param"],"Save") != 0) {

	    $filename = "/var/tmp/labe_file".date("his").".dat";
	    move_uploaded_file($HTTP_POST_FILES['import_file']['tmp_name'],$filename);
	    $entry = $labe->parse_ldif(fopen($filename,"r"));
	    $smarty->assign("FILE1",$HTTP_POST_FILES["import_file"]["name"]);

	    $nombre = 0;
	    for($i = 0; $i < count($entry); $i++) {
		if(is_array($entry[$i])) {
		    $attrib = $labe->createEntry(TRUE,$entry[$i]);

		    if(!empty($attrib["sn"]) && !empty($attrib["givenname"])) {
			$key[$nombre] = array_keys($attrib);
			$key_len[$nombre] = count($key[$nombre]);
			$name[$nombre] = $attrib["sn"]." ".$attrib["givenname"];

			for($l = 0; $l < $key_len[$nombre]; $l++) {
			    $entries[$nombre][$l] = trim($attrib[$key[$nombre][$l]]);
			}
			$no_entries[$nombre] = $nombre;
			$nombre++;
		    }
		}
	    }

	    // +------------------------------------------------------------+
	    // | Assignating the templates variable			    |
	    // +------------------------------------------------------------+
	    $smarty->assign("ENTRIES",$entries);
	    $smarty->assign("ENTRIES_NAME",$name);
	    $smarty->assign("ENTRIES_LEN",count($entries));
	    $smarty->assign("KEY_LEN",$key_len);
	    $smarty->assign("KEY_ENTRIES",$key);
	    $smarty->assign("NO_NOMBRE",$no_entries);
	}
	
	
	// +------------------------------------------------------------+
        // | Displaying the HTML file                                   |
        // +------------------------------------------------------------+

	// +------------------------------------------------------------+
	// | If we have to save the imported contact in LDAP		|
	// +------------------------------------------------------------+
	if(strcmp($HTTP_POST_VARS["param"],"Save") != 0) {
	    $smarty->display("import.tpl");
	}
	else {
	    for($i = 0; $i < $HTTP_POST_VARS["nb_import"]; $i++) {
		if($HTTP_POST_VARS["inc"][$i]) {
		    $keys = array_keys($HTTP_POST_VARS["import"][$i]);
		    for($l = 0; $l < count($keys); $l++) {
			if($HTTP_POST_VARS["import"][$i][$keys[$l]]) {
			    $attr[$keys[$l]] = $HTTP_POST_VARS["import"][$i][$keys[$l]];
			}
		    }
		    $attrib = $labe->createEntry(TRUE,$attr);
		    $result = $labe->SearchContact($connexion,"(cn=*".$attrib["sn"]."*)");
		    $labe->AddContact($connexion,$attrib); 
		}
	    }
	    $entries = $labe->SearchALL($connexion,$filter);
	    include("inc/List.php");
	}
?>
