<?php

	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0",false);
	header("Pragma: no-cache");

	// +------------------------------------------------------------+
	// | Assigning value to the var.				|
	// +------------------------------------------------------------+
	$servers = $labe->parse_cfg($labe->OPTION_FILE);
	
	if(count($servers) >= 1 && $servers != FALSE) {
	    for($i = 0; $i < count($servers); $i++) {
		$servers_name[$i] = $servers[$i]["name"];
		$servers_adr[$i] = $servers[$i]["host"];
	    }

	    $smarty->assign("SERVERS_NAME",$servers_name);
	    $smarty->assign("SERVERS_ADR",$servers_adr);
	    $smarty->assign("SERVERS_COUNT",count($servers));

	    if($HTTP_COOKIE_VARS["LABE_Pass"]) {
		$smarty->assign("PASSWD",$HTTP_COOKIE_VARS["LABE_Pass"]);
	    }
	    if($HTTP_COOKIE_VARS["LABE_Host"]) {
		$smarty->assign("SERVER",$HTTP_COOKIE_VARS["LABE_Host"]);
	    }

	    if($ERROR_CONNECT == 1) {
		$smarty->assign("ERROR","1");
	    }
	}
	else {
	    $smarty->assign("ERROR","2");    
	}

	// +------------------------------------------------------------+
	// | Displaying the form					|
	// +------------------------------------------------------------+
	switch($HTTP_COOKIE_VARS["LABE_Lang"]) {
	    case "cat":
		$language = "cat";
		$smarty->assign("CAT"," Selected ");
		break;
	    case "de":
		$language = "de";
		$smarty->assign("DE"," Selected ");
		break;
            case "en":
                $language = "en";
		$smarty->assign("EN"," Selected ");
                break;
            case "fr":
                $language = "fr";
		$smarty->assign("FR"," Selected ");
                break;
	    case "es":
		$language = "es";
		$smarty->assign("ES"," Selected ");
		break;
            case "ru":
                $language = "ru";
		$smarty->assign("RU"," Selected ");
                break;
            default:
                $language = "ru";
		$smarty->assign("RU"," Selected ");
                break;
        }
        
	$smarty->display("options.tpl");
?>
