<?php

    // foot.tpl
    $smarty->assign("FOOT_AUTHOR","Created by Savoir-faire Linux and Mathieu Leduc-Hamel");

    // options.tpl
    $smarty->assign("OPT_MAIN_TITLE","LABE - Connection window");
    $smarty->assign("OPT_ERROR_CONNECT","Cannot connect to the LDAP host, check your configuration");
    $smarty->assign("OPT_ERROR_CONFIG","There's no LDAP host defined in your LABE configuration, please contact your administrator");
    $smarty->assign("OPT_CHOICE_DESC","Select your LDAP host and enter your password for this server:");
    $smarty->assign("OPT_CHOICE_SERVER","Server choices:");
    $smarty->assign("OPT_CHOICE_PASS","Password:");
    $smarty->assign("OPT_CHOICE_LANG","Language");
    $smarty->assign("OPT_BUTTON_CANCE","Cancel");
    $smarty->assign("OPT_BUTTON_OK","Ok");

    // list.tpl
    $smarty->assign("LIST_BUTTON_ADD","Add");
    $smarty->assign("LIST_BUTTON_REFRESH","Refresh");
    $smarty->assign("LIST_BUTTON_EXPORT","Export");
    $smarty->assign("LIST_BUTTON_IMPORT","Import");
    $smarty->assign("LIST_BUTTON_OPTIONS","Options");
    $smarty->assign("LIST_BUTTON_SEARCH","Search");
    $smarty->assign("LIST_BUTTON_EXIT","Exit");
    $smarty->assign("LIST_BUTTON_PRINT","Print");
    $smarty->assign("LIST_BUTTON_DEL","Delete");
    $smarty->assign("LIST_SEARCH_OPT_SN","Last name");
    $smarty->assign("LIST_SEARCH_OPT_GIVENNAME","First name");
    $smarty->assign("LIST_SEARCH_OPT_ORG","Company");
    $smarty->assign("LIST_SEARCH_OPT_MAIL","Email");
    $smarty->assign("LIST_SEARCH_OPT_TEL","Phone");
    $smarty->assign("LIST_SORT_OPT_SN","Name");
    $smarty->assign("LIST_SORT_OPT_SN_TITLE","Sort by name");
    $smarty->assign("LIST_SORT_OPT_ORG","Company");
    $smarty->assign("LIST_SORT_OPT_ORG_TITLE","Sort by company");
    $smarty->assign("LIST_SORT_OPT_MAIL","Email");
    $smarty->assign("LIST_SORT_OPT_MAIL_TITLE","Sort by email");
    $smarty->assign("LIST_SORT_OPT_TEL","Phone");
    $smarty->assign("LIST_SORT_OPT_TEL_TITLE","Sort by phone");
    $smarty->assign("LIST_MSG_NO_CONTACT","There is no contact in the LDAP base");

    // form (detail.tpl and new.tpl)
    $smarty->assign("FORM_BUTTON_RETURN","Back");
    $smarty->assign("FORM_BUTTON_MODIFY","Modify");
    $smarty->assign("FORM_BUTTON_DEL","Delete");
    $smarty->assign("FORM_BUTTON_ADD","Add");
    $smarty->assign("FORM_SECT_PRIVATE","Private");
    $smarty->assign("FORM_ENTRY_PR__FIRST_NAME","First name");
    $smarty->assign("FORM_ENTRY_PR_LAST_NAME","Last name");
    $smarty->assign("FORM_ENTRY_PR_INITIALS","Initials");
    $smarty->assign("FORM_ENTRY_PR_MAIL","Email");
    $smarty->assign("FORM_ENTRY_PR_PIC","Picture");
    $smarty->assign("FORM_ENTRY_PR_ERASE_","Delete picture");
    $smarty->assign("FORM_SECT_HOUSE","House");
    $smarty->assign("FORM_ENTRY_HO_ADDRESS","Address");
    $smarty->assign("FORM_ENTRY_HO_TEL","Phone");
    $smarty->assign("FORM_ENTRY_HO_FAX","Fax");
    $smarty->assign("FORM_ENTRY_HO_CEL","Cellphone");
    $smarty->assign("FORM_SECT_JOB","Work");
    $smarty->assign("FORM_ENTRY_JB_CIE","Company");
    $smarty->assign("FORM_ENTRY_JB_ADR","Address");
    $smarty->assign("FORM_ENTRY_JB_CITY","City");
    $smarty->assign("FORM_ENTRY_JB_STATE","State / Province");
    $smarty->assign("FORM_ENTRY_JB_CODE_POSTAL","Postal code");
    $smarty->assign("FORM_ENTRY_JB_COUNTRY","Country");
    $smarty->assign("FORM_ENTRY_JB_WEB","Webpage");
    $smarty->assign("FORM_ENTRY_JB_TITLE","Title");
    $smarty->assign("FORM_ENTRY_JB_DEP","Department");
    $smarty->assign("FORM_ENTRY_JB_OFFICE","Office");
    $smarty->assign("FORM_ENTRY_JB_BOS","Boss");
    $smarty->assign("FORM_ENTRY_JB_TEL","Phone");
    $smarty->assign("FORM_ENTRY_JB_FAX","Fax");
    $smarty->assign("FORM_ENTRY_JB_PAGE","Pager");
    $smarty->assign("FORM_ENTRY_JB_IP_PHONE","IP phone");
    $smarty->assign("FORM_SECT_OTHERS","Others");
    $smarty->assign("FORM_ENTRY_OT_NETMEET","NetMeeting");
    $smarty->assign("FORM_ENTRY_OT_COMMENTS","Comments");
    $smarty->assign("FORM_MSG_NO_INFO","Error, there's no information about this contact in LDAP");

    // print.tpl
    $smarty->assign("PRINT_BUTTON_RETURN","Back");
    $smarty->assign("PRINT_BUTTON_PRINT","Print");
    $smarty->assign("PRINT_COL_NAME","Last name, first name");
    $smarty->assign("PRINT_COL_CIE","Company");
    $smarty->assign("PRINT_COL_EMAIL","Email");
    $smarty->assign("PRINT_COL_TEL","Phone");
    $smarty->assign("PRINT_MSG_NO_CONTACT","No contact in LDAP");

    // import.tpl
    $smarty->assign("IMPT_MSG_BAD_FILE","The LDIF file is incorrect");
    $smarty->assign("IMPT_TITLE","LABE - Contact importation window");
    $smarty->assign("IMPT_SUB_TITLE_FILE","Please choose a valid LDIF file");
    $smarty->assign("IMPT_BUTTON_IMPT","Import");
    $smarty->assign("IMPT_TITLE_RESULT","File importation results");
    $smarty->assign("IMPT_WARN_CONTACT",
	"- Only contact with a first and last name were imported -");
    $smarty->assign("IMPT_COL_NAME","First name");
    $smarty->assign("IMPT_COL_KEEP_IT","Keep it?");
    $smarty->assign("IMPT_MSG_NO_CONTACT","No contact has been imported");
    $smarty->assign("IMPT_BUTTON_CANCEL","Cancel");
    $smarty->assign("IMPT_BUTTON_Ok","Ok");
?>
